Page MenuHomePhabricator

Track interaction with title and file info
Closed, ResolvedPublic8 Story Points

Description

Motivation
Before making a move, users can change title and/of file info. Let's find out how often that happens.

Acceptance Criteria

  • For each successful file move record whether or not "edit title" or "edit file info" have been clicked at least once. It does not matter whether an edit was actually made. (N.B: There can always only be 0 or 1 edit title / edit file info interactions per file)
  • On the FileImporter grafana dashboard, there is a graph displaying the number of title edit and file info edit attempts there were, on a daily basis.

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterTrack interaction with title and file info

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 12 2019, 11:24 AM
Lea_WMDE updated the task description. (Show Details)Jun 12 2019, 1:13 PM
Lea_WMDE set the point value for this task to 8.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-06-12 board.

Change 517863 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileImporter@master] [WIP] rack interaction with title and file info

https://gerrit.wikimedia.org/r/517863

Change 517863 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Track interaction with title and file info

https://gerrit.wikimedia.org/r/517863

Data should come in when the change goes live with the train. The board now contains to fields showing the numbers.

Data should come in when the change goes live with the train. The board now contains to fields showing the numbers.

Cool, I suggest to only accept it once I see data though :)
One thing I can say already: Can we actually have a graph of the same dimensions as the file page views, instead of single number digits? This gives a much better understanding of the general trend.

awight added a subscriber: awight.

Graphs saved, waiting on data.

Deployment 1.34.0-wmf.11 is expected to start producing this data, and is scheduled for Wednesday night.

Lea_WMDE closed this task as Resolved.Jun 27 2019, 8:34 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2019-06-26 board.